## kmozillahelper 0.6

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )

project( kmozillahelper )

find_package( KDE4 REQUIRED )
include( KDE4Defaults )
include( MacroLibrary )
add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1 )
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} )

########### next target ###############

set( kmozillahelper_SRCS
     main.cpp )

kde4_add_executable( kmozillahelper ${kmozillahelper_SRCS} )
target_link_libraries( kmozillahelper ${KDE4_KFILE_LIBS} )

# TODO hardcoded path?
install( TARGETS kmozillahelper DESTINATION /usr/lib/mozilla/ )

install( FILES kmozillahelper.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/kmozillahelper )

## kmozillahelper 0.6.2

=== debian/changelog ===
kmozillahelper (0.6.2-0ubuntu2) maverick; urgency=low

  * Rename binary package to firefox-kde-support and provide a transitional
    package. (LP: #559154)
  * Update description to make clear that the KDE integration only works
    with Firefox. (LP: #566867)
  * Suggest firefox instead of depending on it so the package can be installed
    by default on Kubuntu.
  * Add a watch file.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 01 Jun 2010 19:09:43 +0200

kmozillahelper (0.6.2-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Mimetype detection fixes
    - Sets the bug address to Novell's bug tracker (LP: #582723)
    - Refresh 01_default_browser.diff
    - Drop 02_filter_escape_slash.diff, applied upstream
    - Drop 03_save_local_file.diff, applied upstream
    - Drop 04_open_file_cancel.diff, applied upstream
    - Add 02_add_cmakelists_txt.diff to add a CMakeLists.txt file in the top
      directory, which is needed for kmozillahelper to build
    - Remove RPATH-skip override in debian/rules, pkg-kde-tools handles this
      now, and the override was causing FTBFS
  * Switch to source format 3.0 (quilt):
    - Remove quilt build-dependency
    - Remove now-obsolete README.source
    - Remove redundant --with quilt flag from debian/rules

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 31 May 2010 10:17:57 -0400

kmozillahelper (0.6-0ubuntu3) lucid; urgency=low

  * Add 04_open_file_cancel.diff so kmozillahelper doesn't return "/" when
    the user cancels a file open dialog.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 01 Apr 2010 00:17:44 +0200

kmozillahelper (0.6-0ubuntu2) lucid; urgency=low

  * Add 02_filter_escape_slash.diff to correctly display slashes in
    filter descriptions.
  * Add 03_save_local_file.diff so Firefox doesn't add unneeded
    slashes at the beginning of file pathes.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 23 Mar 2010 14:02:07 +0100

kmozillahelper (0.6-0ubuntu1) lucid; urgency=low

  * Initial release.  LP: #494067

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 03 Mar 2010 18:44:26 +0100

=== debian/control ===
Source: kmozillahelper
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev
Standards-Version: 3.8.4
Homepage: http://gitorious.org/firefox-kde-opensuse/

Package: firefox-kde-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: firefox
Provides: kmozillahelper
Replaces: kmozillahelper (<< 0.6.2-0ubuntu2)
Conflicts: kmozillahelper (<< 0.6.2-0ubuntu2)
Description: Integration of Mozilla Firefox with KDE
 This is a helper application that allows Mozilla Firefox to use
 KDE file dialogs, file associations, protocol handlers and
 other KDE integration features.

Package: kmozillahelper
Architecture: all
Depends: ${misc:Depends}, firefox-kde-support
Description: Transitional package for firefox-kde-support
 This is a transitional package and can be safely removed after
 firefox-kde-support is installed.

=== debian/watch ===
version=3
https://build.opensuse.org/package/files?package=mozilla-kde4-integration&project=mozilla%3AFactory \
https://api.opensuse.org/public/source/mozilla:Factory/mozilla-kde4-integration/kmozillahelper-(.*)\.tar\.bz2
